Update Endpoint
Edit cloud endpoint details
Register a remote HCX manager endpoint. This API initiates the site pairing process by authenticating with the remote HCX manager, exchanging certificates, and establishing a trusted connection.
Request
URI
PUT
https://{server}/hybridity/api/cloudConfigs
COPY
Request Body
Request body containing remote endpoint credentials and configuration. Different authentication methods require different sets of parameters.
updateCloudEndpoint_request
of type(s)
application/json
Required
{
"remote": {
"username": "[email protected]",
"password": "password",
"url": "https://HCX_TARGET_MANAGER_IP/",
"authType": "string"
}
}
object
remote
Optional
remote
Authentication
This operation uses the following authentication methods.
Responses
200
Status 200
Returns
cloudreg_1.0_successResponse
of type(s)
application/json
"cloudreg_1.0_successResponse Object"
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/cloudConfigs
Cloud Registration Apis Operations
GET
Fetch Cloud Endpoint
POST
Register Cloud Endpoint
PUT
Update Endpoint
DELETE
Unregister Cloud Endpoint